ObjectFilesToBinary (Gradle API 4.4)
Date: 2017-12-06

org.gradle.nativeplatform.tasks

## Interface ObjectFilesToBinary

- All Superinterfaces:
    Comparable<Task>, ExtensionAware, Task
  All Known Implementing Classes:
    AbstractLinkTask, CreateStaticLibrary, LinkExecutable, LinkMachOBundle, LinkSharedLibrary

      @Incubating
      public interface ObjectFilesToBinary
      extends Task

  A task that combines a set of object files into a single binary.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `source(Object source)` Adds a set of object files to be combined into the file binary.

    - ### Methods inherited from interface org.gradle.api.Task

      `configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getFinalizedBy, getGroup, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOutputs, getPath, getProject, getShouldRunAfter, getState, getTaskDependencies, getTemporaryDir, hasProperty, leftShift, mustRunAfter, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter`

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

    - ### Methods inherited from interface org.gradle.api.plugins.ExtensionAware

      `getExtensions`

- - ### Method Detail

    - #### source

          void source(Object source)

      Adds a set of object files to be combined into the file binary. The provided source object is evaluated as per `Project.files(Object...)`.